API ReferenceapiaiGET /v1/tools

GET /v1/tools

Service: ai · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • scope (array) —

Responses

200 Tool catalog

{
  "type": "object",
  "properties": {
    "tools": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "input_schema": {
            "type": "object",
            "additionalProperties": {}
          },
          "output_schema": {
            "type": "object",
            "additionalProperties": {}
          },
          "scopes_required": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "target_service": {
            "type": "string"
          },
          "target_route": {
            "type": "string"
          }
        },
        "required": [
          "name",
          "description",
          "input_schema",
          "output_schema",
          "scopes_required",
          "target_service",
          "target_route"
        ]
      }
    }
  },
  "required": [
    "tools"
  ]
}

304 Not modified

Example

curl -X GET https://ai.platform.loop.health/v1/tools \
  -H "Authorization: Bearer $ACCESS_TOKEN"